Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface AdhocQueryResponseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryResponseType

All Known Implementing Classes:
  AdhocQueryResponseTypeImpl

    public interface AdhocQueryResponseType

extends RegistryResponseType

A representation of the model object 'Adhoc Query Response Type'.

The following features are supported:

- `Registry Object List`
- `Start Index`
- `Total Result Count`

See Also:
  `QueryPackage.getAdhocQueryResponseType()`

Method Summary
`RegistryObjectListType` | `getRegistryObjectList()` Returns the value of the 'Registry Object List' containment reference.
`java.math.BigInteger` | `getStartIndex()` Returns the value of the 'Start Index' attribute.
`java.math.BigInteger` | `getTotalResultCount()` Returns the value of the 'Total Result Count' attribute.
`boolean` | `isSetStartIndex()` Returns whether the value of the '`Start Index`' attribute is set.
`void` | `setRegistryObjectList(RegistryObjectListType value)` Sets the value of the '`Registry Object List`' containment reference.
`void` | `setStartIndex(java.math.BigInteger value)` Sets the value of the '`Start Index`' attribute.
`void` | `setTotalResultCount(java.math.BigInteger value)` Sets the value of the '`Total Result Count`' attribute.
`void` | `unsetStartIndex()` Unsets the value of the '`Start Index`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryResponseType
`getRegistryErrorList, getRequestId, getResponseSlotList, getStatus, setRegistryErrorList, setRequestId, setResponseSlotList, setStatus`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryObjectList

    RegistryObjectListType getRegistryObjectList()

  Returns the value of the 'Registry Object List' containment reference.

  If the meaning of the 'Registry Object List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object List' containment reference.
  See Also:
    `setRegistryObjectList(RegistryObjectListType)`, `QueryPackage.getAdhocQueryResponseType_RegistryObjectList()`

### setRegistryObjectList

    void setRegistryObjectList(RegistryObjectListType value)

  Sets the value of the '`Registry Object List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Object List' containment reference.
  See Also:
    `getRegistryObjectList()`

### getStartIndex

    java.math.BigInteger getStartIndex()

  Returns the value of the 'Start Index' attribute. The default value is `"0"`.

  If the meaning of the 'Start Index' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Index' attribute.
  See Also:
    `isSetStartIndex()`, `unsetStartIndex()`, `setStartIndex(BigInteger)`, `QueryPackage.getAdhocQueryResponseType_StartIndex()`

### setStartIndex

    void setStartIndex(java.math.BigInteger value)

  Sets the value of the '`Start Index`' attribute.

  Parameters:
    `value` - the new value of the 'Start Index' attribute.
  See Also:
    `isSetStartIndex()`, `unsetStartIndex()`, `getStartIndex()`

### unsetStartIndex

    void unsetStartIndex()

  Unsets the value of the '`Start Index`' attribute.

  See Also:
    `isSetStartIndex()`, `getStartIndex()`, `setStartIndex(BigInteger)`

### isSetStartIndex

    boolean isSetStartIndex()

  Returns whether the value of the '`Start Index`' attribute is set.

  Returns:
    whether the value of the 'Start Index' attribute is set.
  See Also:
    `unsetStartIndex()`, `getStartIndex()`, `setStartIndex(BigInteger)`

### getTotalResultCount

    java.math.BigInteger getTotalResultCount()

  Returns the value of the 'Total Result Count' attribute.

  If the meaning of the 'Total Result Count' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Total Result Count' attribute.
  See Also:
    `setTotalResultCount(BigInteger)`, `QueryPackage.getAdhocQueryResponseType_TotalResultCount()`

### setTotalResultCount

    void setTotalResultCount(java.math.BigInteger value)

  Sets the value of the '`Total Result Count`' attribute.

  Parameters:
    `value` - the new value of the 'Total Result Count' attribute.
  See Also:
    `getTotalResultCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD